Index: aclocal/check-itron.m4
===================================================================
--- aclocal/check-itron.m4	(revision c73b8ac27f85ef7bc732b311da28f65e722ee7be)
+++ aclocal/check-itron.m4	(revision c73b8ac27f85ef7bc732b311da28f65e722ee7be)
@@ -0,0 +1,29 @@
+dnl $Id$
+dnl
+AC_DEFUN(RTEMS_CHECK_ITRON_API,
+[dnl
+AC_REQUIRE([RTEMS_CHECK_CPU])dnl
+AC_REQUIRE([RTEMS_ENABLE_ITRON])dnl
+
+AC_CACHE_CHECK([whether BSP supports libitron],
+  rtems_cv_HAS_ITRON_API,
+  [dnl
+    case "$RTEMS_CPU" in
+    unix*)
+      rtems_cv_HAS_ITRON_API="no"
+      ;;
+    *)
+      if test "${RTEMS_HAS_ITRON_API}" = "yes"; then
+        rtems_cv_HAS_ITRON_API="yes";
+      else
+        rtems_cv_HAS_ITRON_API="disabled";
+      fi
+      ;;
+    esac])
+if test "$rtems_cv_HAS_ITRON_API" = "yes"; then
+  HAS_ITRON_API="yes";
+else
+  HAS_ITRON_API="no";
+fi
+AC_SUBST(HAS_ITRON_API)dnl
+])
Index: aclocal/enable-itron.m4
===================================================================
--- aclocal/enable-itron.m4	(revision c73b8ac27f85ef7bc732b311da28f65e722ee7be)
+++ aclocal/enable-itron.m4	(revision c73b8ac27f85ef7bc732b311da28f65e722ee7be)
@@ -0,0 +1,36 @@
+dnl $Id$
+
+AC_DEFUN(RTEMS_ENABLE_ITRON,
+[
+AC_BEFORE([$0], [RTEMS_CHECK_ITRON_API])dnl
+
+AC_ARG_ENABLE(itron,
+[  --enable-itron                       enable itron interface],
+[case "${enableval}" in 
+  yes) RTEMS_HAS_ITRON_API=yes ;;
+  no) RTEMS_HAS_ITRON_API=no ;;
+  *)  AC_MSG_ERROR(bad value ${enableval} for enable-itron option) ;;
+esac],[RTEMS_HAS_ITRON_API=yes]) 
+AC_SUBST(RTEMS_HAS_ITRON_API)
+
+changequote(,)dnl
+case "${target}" in
+  # hpux unix port should go here
+  i[3456]86-pc-linux*)         # unix "simulator" port
+	RTEMS_HAS_ITRON_API=no
+	;;
+  i[3456]86-*freebsd2*) # unix "simulator" port
+	RTEMS_HAS_ITRON_API=no
+	;;
+  no_cpu-*rtems*)
+	RTEMS_HAS_ITRON_API=no
+	;;
+  sparc-sun-solaris*)             # unix "simulator" port
+	RTEMS_HAS_ITRON_API=no
+	;;
+  *) 
+	;;
+esac
+changequote([,])dnl
+AC_SUBST(RTEMS_HAS_ITRON_API)
+])
Index: c/src/lib/libbsp/shared/console.c
===================================================================
--- c/src/lib/libbsp/shared/console.c	(revision c8cad188208c7d0b14a64dfef3e23082f93ce02e)
+++ c/src/lib/libbsp/shared/console.c	(revision c73b8ac27f85ef7bc732b311da28f65e722ee7be)
@@ -1,19 +1,7 @@
 /*
- *  This file contains the TTY driver for the PPCn_60x
+ *  This file contains the generic console driver shell used
+ *  by all console drivers using libchip.
  *
  *  This driver uses the termios pseudo driver.
- *
- *  COPYRIGHT (c) 1998 by Radstone Technology
- *
- *
- * THIS FILE IS PROVIDED TO YOU, THE USER, "AS IS", WITHOUT WARRANTY OF ANY
- * KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK
- * AS TO THE QUALITY AND PERFORMANCE OF ALL CODE IN THIS FILE IS WITH YOU.
- *
- * You are hereby granted permission to use, copy, modify, and distribute
- * this file, provided that this notice, plus the above copyright notice
- * and disclaimer, appears in all copies. Radstone Technology will provide
- * no support for this code.
  *
  *  COPYRIGHT (c) 1989-1997.
Index: c/src/lib/wrapup/Makefile.in
===================================================================
--- c/src/lib/wrapup/Makefile.in	(revision c8cad188208c7d0b14a64dfef3e23082f93ce02e)
+++ c/src/lib/wrapup/Makefile.in	(revision c73b8ac27f85ef7bc732b311da28f65e722ee7be)
@@ -26,4 +26,5 @@
     $(PROJECT_RELEASE)/lib/librtems$(LIB_VARIANT).a $(wildcard \
     $(PROJECT_RELEASE)/lib/libposix$(LIB_VARIANT).a) $(wildcard \
+    $(PROJECT_RELEASE)/lib/libitron$(LIB_VARIANT).a) $(wildcard \
     $(PROJECT_RELEASE)/lib/libnetworking$(LIB_VARIANT).a) $(wildcard \
     $(PROJECT_RELEASE)/lib/librpc$(LIB_VARIANT).a) $(wildcard \
Index: c/src/make/Makefile.inc.in
===================================================================
--- c/src/make/Makefile.inc.in	(revision c8cad188208c7d0b14a64dfef3e23082f93ce02e)
+++ c/src/make/Makefile.inc.in	(revision c73b8ac27f85ef7bc732b311da28f65e722ee7be)
@@ -36,4 +36,5 @@
 RTEMS_USE_OWN_PDIR = no
 RTEMS_HAS_POSIX_API = @RTEMS_HAS_POSIX_API@
+RTEMS_HAS_ITRON_API = @RTEMS_HAS_ITRON_API@
 RTEMS_USE_MACROS = @RTEMS_USE_MACROS@
 RTEMS_HAS_CPLUSPLUS = @RTEMS_HAS_CPLUSPLUS@
Index: c/src/make/bsp.cfg.in
===================================================================
--- c/src/make/bsp.cfg.in	(revision c8cad188208c7d0b14a64dfef3e23082f93ce02e)
+++ c/src/make/bsp.cfg.in	(revision c73b8ac27f85ef7bc732b311da28f65e722ee7be)
@@ -17,4 +17,9 @@
 
 ##
+## Does this BSP support RTEMS's ITRON API ?
+##
+HAS_ITRON_API = @HAS_ITRON_API@
+
+##
 ## Does this BSP support RTEMS's CXX API ?
 ##
Index: c/src/make/configure.in
===================================================================
--- c/src/make/configure.in	(revision c8cad188208c7d0b14a64dfef3e23082f93ce02e)
+++ c/src/make/configure.in	(revision c73b8ac27f85ef7bc732b311da28f65e722ee7be)
@@ -19,4 +19,5 @@
 RTEMS_ENABLE_MULTIPROCESSING
 RTEMS_ENABLE_POSIX
+RTEMS_ENABLE_ITRON
 RTEMS_ENABLE_NETWORKING
 RTEMS_ENABLE_RDBG
Index: c/src/make/target.cfg.in
===================================================================
--- c/src/make/target.cfg.in	(revision c8cad188208c7d0b14a64dfef3e23082f93ce02e)
+++ c/src/make/target.cfg.in	(revision c73b8ac27f85ef7bc732b311da28f65e722ee7be)
@@ -40,4 +40,5 @@
 RTEMS_HAS_MULTIPROCESSING = @RTEMS_HAS_MULTIPROCESSING@
 RTEMS_HAS_POSIX_API = @RTEMS_HAS_POSIX_API@
+RTEMS_HAS_ITRON_API = @RTEMS_HAS_ITRON_API@
 RTEMS_HAS_NETWORKING = @RTEMS_HAS_NETWORKING@
 RTEMS_HAS_RDBG = @RTEMS_HAS_RDBG@
Index: c/src/wrapup/Makefile.in
===================================================================
--- c/src/wrapup/Makefile.in	(revision c8cad188208c7d0b14a64dfef3e23082f93ce02e)
+++ c/src/wrapup/Makefile.in	(revision c73b8ac27f85ef7bc732b311da28f65e722ee7be)
@@ -26,4 +26,5 @@
     $(PROJECT_RELEASE)/lib/librtems$(LIB_VARIANT).a $(wildcard \
     $(PROJECT_RELEASE)/lib/libposix$(LIB_VARIANT).a) $(wildcard \
+    $(PROJECT_RELEASE)/lib/libitron$(LIB_VARIANT).a) $(wildcard \
     $(PROJECT_RELEASE)/lib/libnetworking$(LIB_VARIANT).a) $(wildcard \
     $(PROJECT_RELEASE)/lib/librpc$(LIB_VARIANT).a) $(wildcard \
Index: configure.in
===================================================================
--- configure.in	(revision c8cad188208c7d0b14a64dfef3e23082f93ce02e)
+++ configure.in	(revision c73b8ac27f85ef7bc732b311da28f65e722ee7be)
@@ -19,4 +19,5 @@
 RTEMS_ENABLE_MULTIPROCESSING
 RTEMS_ENABLE_POSIX
+RTEMS_ENABLE_ITRON
 RTEMS_ENABLE_NETWORKING
 RTEMS_ENABLE_RDBG
Index: make/target.cfg.in
===================================================================
--- make/target.cfg.in	(revision c8cad188208c7d0b14a64dfef3e23082f93ce02e)
+++ make/target.cfg.in	(revision c73b8ac27f85ef7bc732b311da28f65e722ee7be)
@@ -40,4 +40,5 @@
 RTEMS_HAS_MULTIPROCESSING = @RTEMS_HAS_MULTIPROCESSING@
 RTEMS_HAS_POSIX_API = @RTEMS_HAS_POSIX_API@
+RTEMS_HAS_ITRON_API = @RTEMS_HAS_ITRON_API@
 RTEMS_HAS_NETWORKING = @RTEMS_HAS_NETWORKING@
 RTEMS_HAS_RDBG = @RTEMS_HAS_RDBG@
Index: tools/update/cipolish
===================================================================
--- tools/update/cipolish	(revision c8cad188208c7d0b14a64dfef3e23082f93ce02e)
+++ tools/update/cipolish	(revision c73b8ac27f85ef7bc732b311da28f65e722ee7be)
@@ -66,4 +66,8 @@
     #remove the line
   }
+  elsif ( /^[ 	]*AC_SUBST\(RTEMS_HAS_ITRON_API\)[ 	]*$/o ) 
+  {
+    #remove the line
+  }
   elsif ( /^[ 	]*AC_SUBST\(RTEMS_HAS_HWAPI\)[ 	]*$/o ) 
   {
